[Debian-ha-commits] [pcs] 03/06: Add postinst to fix /var/lib/pcsd permissions

Valentin Vidic vvidic-guest at moszumanska.debian.org
Mon Jun 20 14:03:27 UTC 2016


This is an automated email from the git hooks/post-receive script.

vvidic-guest pushed a commit to branch master
in repository pcs.

commit 6c56da96b2a6b1b82b652e51abdef214d9b72bd2
Author: Valentin Vidic <Valentin.Vidic at CARNet.hr>
Date:   Mon Jun 20 14:42:19 2016 +0200

    Add postinst to fix /var/lib/pcsd permissions
---
 debian/pcs.postinst | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)

diff --git a/debian/pcs.postinst b/debian/pcs.postinst
new file mode 100644
index 0000000..3e843c8
--- /dev/null
+++ b/debian/pcs.postinst
@@ -0,0 +1,41 @@
+#!/bin/sh
+# postinst script for pcs
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see https://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+        # keep sevice directory secure
+        chmod 700 /var/lib/pcsd
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-ha/pcs.git



More information about the Debian-HA-Commits mailing list